# Return Sitejet SSO URL

This function returns a Sitejet website's SSO URL.

Endpoint: GET /Sitejet/get_sso_link
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `domain` (string, required)
    The cPanel account's Sitejet domain.
    Example: "example.com"

  - `referrer` (string, required)
    The cPanel interface referral URL.
    Example: "https://example.com:2083/cpsess##########/frontend/jupiter/sitejet/index.html%23"

  - `ui_mode` (string)
    Specifies which Sitejet SaaS user interface mode the user will be redirected to.
    Enum: "prompt", "ai", "template"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_sso_link"

  - `module` (string)
    The name of the module called.
    Example: "Sitejet"

  - `result` (object)

  - `result.data` (string)
    The SSO link to the Sitejet CMS.
    Example: "https://my.sitehub.io/website/edit?ssotoken=exampletokenstring"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed: Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


